Bug 611531 - [abrt] crash in decibel-audio-player-1.00-3.fc12: TrackPanel.py:43:__setTitle:TypeError: GtkLabel.set_markup() argument 1 must be string without null bytes, not str
[abrt] crash in decibel-audio-player-1.00-3.fc12: TrackPanel.py:43:__setTitle...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: decibel-audio-player (Show other bugs)
12
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Debarshi Ray
Fedora Extras Quality Assurance
abrt_hash:ba64b207
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-05 09:16 EDT by yvanc
Modified: 2010-12-03 08:29 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 08:29:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (918 bytes, text/plain)
2010-07-05 09:16 EDT, yvanc
no flags Details

  None (edit)
Description yvanc 2010-07-05 09:16:40 EDT
abrt 1.1.1 detected a crash.

architecture: x86_64
cmdline: python /usr/share/decibel-audio-player/src/decibel-audio-player.py
component: decibel-audio-player
executable: /usr/share/decibel-audio-player/src/decibel-audio-player.py
kernel: 2.6.32.14-127.fc12.x86_64
package: decibel-audio-player-1.00-3.fc12
reason: TrackPanel.py:43:__setTitle:TypeError: GtkLabel.set_markup() argument 1 must be string without null bytes, not str
release: Fedora release 12 (Constantine)

backtrace
-----
TrackPanel.py:43:__setTitle:TypeError: GtkLabel.set_markup() argument 1 must be string without null bytes, not str

Traceback (most recent call last):
  File "/usr/share/decibel-audio-player/src/modules/TrackPanel.py", line 181, in handleMsg
    self.onNewTrack(params['track'])
  File "/usr/share/decibel-audio-player/src/modules/TrackPanel.py", line 119, in onNewTrack
    self.__setTitle(track.getTitle(), track.getLength())
  File "/usr/share/decibel-audio-player/src/modules/TrackPanel.py", line 43, in __setTitle
    else:              self.txtTitle.set_markup('<span size="larger"><b>%s</b></span>  [%s]' % (title, tools.sec2str(length)))
TypeError: GtkLabel.set_markup() argument 1 must be string without null bytes, not str

Local variables in innermost frame:
length: 725
self: <TrackPanel.TrackPanel instance at 0x2e58440>
title: 'The First Date\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00\x00'
Comment 1 yvanc 2010-07-05 09:16:42 EDT
Created attachment 429535 [details]
File: backtrace
Comment 2 Bug Zapper 2010-11-03 08:27:28 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2010-12-03 08:29:40 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.